<?php
// Set API URL and authorization header
//$apiUrl = 'http://localhost/php/api.php';
//https://tusanboxitopremium.lol/api.php
$apiUrl = 'https://tusanboxitopremium.lol/api.php';
$authorization = 'asdsdfsdfsdf';

// Initialize cURL session
$ch = curl_init($apiUrl);

// Set cURL options
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
   'Authorization: ' . $authorization
]);

// Execute cURL request and get response
$response = curl_exec($ch);

// Check for cURL errors
if (curl_errno($ch)) {
   die('Error: ' . curl_error($ch));
}

// Close cURL session
curl_close($ch);

// Decode JSON response
$clients = json_decode($response, true);

// Handle potential JSON decoding errors
if ($clients === null) {
   die("Error decoding JSON data.");
}
?>


<!doctype html>
<html class="no-js" lang="zxx">

<head>
   <meta charset="utf-8">
   <meta http-equiv="x-ua-compatible" content="ie=edge">
   <title>SINROLLO</title>
   <meta name="description" content="">
   <meta name="viewport" content="width=device-width, initial-scale=1">

   <!-- Place favicon.ico in the root directory -->
   <link rel="shortcut icon" type="image/x-icon" href="public/assets/img/FAVICON.png">

   <!-- CSS here -->
   <link rel="stylesheet" href="public/assets/css/bootstrap.css">
   <link rel="stylesheet" href="public/assets/css/animate.css">
   <link rel="stylesheet" href="public/assets/css/swiper-bundle.css">
   <link rel="stylesheet" href="public/assets/css/slick.css">
   <link rel="stylesheet" href="public/assets/css/magnific-popup.css">
   <link rel="stylesheet" href="public/assets/css/font-awesome-pro.css">
   <link rel="stylesheet" href="public/assets/css/spacing.css">
   <link rel="stylesheet" href="public/assets/css/custom-animation.css">
   <link rel="stylesheet" href="public/assets/css/main.css">

</head>

<body id="body" class="tp-magic-cursor">



   <div id="loading" class="preloader-wrap">
      <div class="preloader-2 text-center">
         <span class="line line-1"></span>
         <span class="line line-2"></span>
         <span class="line line-3"></span>
         <span class="line line-4"></span>
         <span class="line line-5"></span>
         <span class="line line-6"></span>
         <span class="line line-7"></span>
         <span class="line line-8"></span>
         <span class="line line-9"></span>
         <div class="loader-text">Loading ...</div>
      </div>
   </div>
   <!-- pre loader area end -->

   <!-- Begin magic cursor  
   ======================== -->
   <div id="magic-cursor">
      <div id="ball"></div>
   </div>
   <!-- End magic cursor -->

   <!-- tp-offcanvus-area-end -->
   <div class="tp-offcanvas-area">
      <div class="tp-offcanvas-wrapper">
         <div class="tp-offcanvas-top d-flex align-items-center justify-content-between">
            <div class="tp-offcanvas-logo">
               <a href="index.html">
                  <img class="logo-1" src="public/assets/img/logo/SIN-ROLLO-NARANJA.png" alt="">
                  <img class="logo-2" src="public/assets/img/logo/SIN-ROLLO-BLANCO.png" alt="">
               </a>
            </div>
            <div class="tp-offcanvas-close">
               <button class="tp-offcanvas-close-btn">
                  <svg width="37" height="38" viewBox="0 0 37 38" fill="none" xmlns="http://www.w3.org/2000/svg">
                     <path d="M9.19141 9.80762L27.5762 28.1924" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                     <path d="M9.19141 28.1924L27.5762 9.80761" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                  </svg>
               </button>
            </div>
         </div>
         <div class="tp-offcanvas-main">
            <div class="tp-offcanvas-content">
               <p>En Sin Rollo capturamos bodas en Perú, creando recuerdos emocionales y auténticos con pasión, profesionalismo y dedicación a cada pareja. </p>
            </div>
            <div class="tp-main-menu-mobile d-xl-none"></div>
            <div class="tp-offcanvas-social">
               <h3 class="tp-offcanvas-title sm">Síguenos</h3>
               <ul>
                  <li>
                     <a href="#">
                        <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                           <path d="M11.25 1.5H4.75C2.95507 1.5 1.5 2.95507 1.5 4.75V11.25C1.5 13.0449 2.95507 14.5 4.75 14.5H11.25C13.0449 14.5 14.5 13.0449 14.5 11.25V4.75C14.5 2.95507 13.0449 1.5 11.25 1.5Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                           <path d="M10.6016 7.5907C10.6818 8.13166 10.5894 8.68414 10.3375 9.16955C10.0856 9.65497 9.68711 10.0486 9.19862 10.2945C8.71014 10.5404 8.15656 10.6259 7.61663 10.5391C7.0767 10.4522 6.57791 10.1972 6.19121 9.81055C5.80451 9.42385 5.54959 8.92506 5.46271 8.38513C5.37583 7.8452 5.46141 7.29163 5.70728 6.80314C5.95315 6.31465 6.34679 5.91613 6.83221 5.66425C7.31763 5.41238 7.87011 5.31998 8.41107 5.4002C8.96287 5.48202 9.47372 5.73915 9.86817 6.1336C10.2626 6.52804 10.5197 7.0389 10.6016 7.5907Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                           <path d="M11.5742 4.42578H11.5842" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                        </svg>
                     </a>
                  </li>
                  <li>
                     <a href="#">
                        <svg width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                           <path d="M2.50589 12.7494C4.57662 16.336 9.16278 17.5648 12.7494 15.4941C14.2113 14.65 15.2816 13.388 15.8962 11.9461C16.7895 9.85066 16.7208 7.37526 15.4941 5.25063C14.2674 3.12599 12.1581 1.82872 9.89669 1.55462C8.34063 1.366 6.71259 1.66183 5.25063 2.50589C1.66403 4.57662 0.435172 9.16278 2.50589 12.7494Z" stroke="currentColor" stroke-width="1.5" />
                           <path d="M12.7127 15.4292C12.7127 15.4292 12.0086 10.4867 10.5011 7.87559C8.99362 5.26451 5.28935 2.57155 5.28935 2.57155M5.68449 15.6124C6.79553 12.2606 12.34 8.54524 16.3975 9.43537M12.311 2.4082C11.1953 5.72344 5.75732 9.38453 1.71875 8.58915" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" />
                        </svg>
                     </a>
                  </li>
                  <li>
                     <a href="#">
                        <svg width="18" height="11" viewBox="0 0 18 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                           <path d="M1 5.5715H6.33342C7.62867 5.5715 8.61917 6.56199 8.61917 7.85725C8.61917 9.15251 7.62867 10.143 6.33342 10.143H1.76192C1.30477 10.143 1 9.83823 1 9.38108V1.76192C1 1.30477 1.30477 1 1.76192 1H5.5715C6.86676 1 7.85725 1.99049 7.85725 3.28575C7.85725 4.58101 6.86676 5.5715 5.5715 5.5715H1Z" stroke="currentColor" stroke-width="1.5" stroke-miterlimit="10" />
                           <path d="M10.9062 7.09454H17.0016C17.0016 5.41832 15.6301 4.04688 13.9539 4.04688C12.2777 4.04688 10.9062 5.41832 10.9062 7.09454ZM10.9062 7.09454C10.9062 8.77076 12.2777 10.1422 13.9539 10.1422H15.2492" stroke="currentColor" stroke-width="1.5" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round" />
                           <path d="M16.1125 1.44434H11.668" stroke="currentColor" stroke-width="1.2" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round" />
                        </svg>
                     </a>
                  </li>
                  <li>
                     <a href="#">
                        <svg width="18" height="14" viewBox="0 0 18 14" fill="none" xmlns="http://www.w3.org/2000/svg">
                           <path d="M12.75 13H5.25C3 13 1.5 11.5 1.5 9.25V4.75C1.5 2.5 3 1 5.25 1H12.75C15 1 16.5 2.5 16.5 4.75V9.25C16.5 11.5 15 13 12.75 13Z" stroke="currentColor" stroke-width="1.5" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round" />
                           <path d="M8.70676 5.14837L10.8006 6.40465C11.5543 6.90716 11.5543 7.66093 10.8006 8.16344L8.70676 9.41972C7.86923 9.92224 7.19922 9.50348 7.19922 8.5822V6.06964C7.19922 4.98086 7.86923 4.64585 8.70676 5.14837Z" fill="currentColor" />
                        </svg>
                     </a>
                  </li>
               </ul>
            </div>
         </div>
      </div>
   </div>
   <div class="body-overlay"></div>
   <!-- tp-offcanvus-area-end -->

   <!-- Switcher Area End -->

   <?php include 'header.php'; ?>


   <div id="smooth-wrapper">
      <div id="smooth-wrapper">
         <div id="smooth-content">
            <main>
               <div class="tm-hero-area tm-hero-ptb">
                  <div class="container">
                     <div class="row">
                        <div class="col-xl-12">
                           <div class="tm-hero-content">
                              <span class="tm-hero-subtitle">Nuestros Matrimonios</span>
                              <h4 class="tm-hero-title tp-char-animation">Portafolio</h4>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <!-- hero area end -->

               <!-- portfolio area start -->
               <div class="tp-project-5-2-area tp-project-5-2-pt pb-130">
                  <div class="container container-1800">
                     <div class="row">
                        <?php foreach ($clients as $client) : ?>
                           <div class="col-xl-3 col-lg-6 col-md-6">
                              <div class="tp-project-5-2-thumb mb-30 p-relative">
                                 <a class="cursor-hide" href="portafolio-detalles.php?id=<?php echo $client['id']; ?>">
                                    <span class="tp_img_reveal">
                                       <div class="tp_img_reveal">
                                          <img src="https://sandbox-rollo-file.s3.us-east-2.amazonaws.com/portfolio/<?php echo $client['photo']; ?>" alt="<?php echo $client['name']; ?>">
                                       </div>
                                    </span>
                                    <div class="tp-project-5-2-content tp_fade_anim">
                                       <span class="tp-project-5-2-meta"><?php echo $client['date']; ?></span>
                                       <h4 class="tp-project-5-2-title-sm"><?php echo $client['name']; ?></h4>
                                    </div>
                                 </a>
                              </div>
                           </div>
                        <?php endforeach; ?>
                     </div>
                  </div>
               </div>
            </main>
            <?php include 'footer.php'; ?>
         </div>
      </div>

   </div>
   </div>




   <!-- JS here -->
   <script src="public/assets/js/vendor/jquery.js"></script>
   <script src="public/assets/js/bootstrap-bundle.js"></script>


   <script src="public/assets/js/gsap.js"></script>
   <script src="public/assets/js/gsap-scroll-to-plugin.js"></script>
   <script src="public/assets/js/gsap-scroll-smoother.js"></script>
   <script src="public/assets/js/gsap-scroll-trigger.js"></script>
   <script src="public/assets/js/gsap-split-text.js"></script>
   <script src="public/assets/js/chroma.min.js"></script>


   <script src='public/assets/js/scroll-magic.js'></script>

   <script src="public/assets/js/range-slider.js"></script>
   <script src="public/assets/js/swiper-bundle.js"></script>
   <script src="public/assets/js/slick.js"></script>
   <script src="public/assets/js/magnific-popup.js"></script>
   <script src="public/assets/js/nice-select.js"></script>
   <script src="public/assets/js/purecounter.js"></script>
   <script src="public/assets/js/beforeafter.js"></script>
   <script src="public/assets/js/isotope-pkgd.js"></script>
   <script src="public/assets/js/imagesloaded-pkgd.js"></script>
   <script src="public/assets/js/webgl.js"></script>
   <script src="public/assets/js/main.js"></script>
   <script src="public/assets/js/tp-cursor.js"></script>


</body>

</html>