<!doctype html>
<html class="no-js" lang="zxx">

<head>
   <meta charset="utf-8">
   <meta http-equiv="x-ua-compatible" content="ie=edge">
   <title>SINROLLO</title>
   <meta name="description" content="">
   <meta name="viewport" content="width=device-width, initial-scale=1">

   <!-- Place favicon.ico in the root directory -->
   <link rel="shortcut icon" type="image/x-icon" href="public/assets/img/FAVICON.png">

   <!-- CSS here -->
   <link rel="stylesheet" href="public/assets/css/bootstrap.css">
   <link rel="stylesheet" href="public/assets/css/animate.css">
   <link rel="stylesheet" href="public/assets/css/swiper-bundle.css">
   <link rel="stylesheet" href="public/assets/css/slick.css">
   <link rel="stylesheet" href="public/assets/css/magnific-popup.css">
   <link rel="stylesheet" href="public/assets/css/font-awesome-pro.css">
   <link rel="stylesheet" href="public/assets/css/spacing.css">
   <link rel="stylesheet" href="public/assets/css/custom-animation.css">
   <link rel="stylesheet" href="public/assets/css/main.css">

</head>

<body id="body" class="tp-magic-cursor">

   <!-- pre loader area start -->
   <div id="loading" class="preloader-wrap">
      <div class="preloader-2 text-center">
         <span class="line line-1"></span>
         <span class="line line-2"></span>
         <span class="line line-3"></span>
         <span class="line line-4"></span>
         <span class="line line-5"></span>
         <span class="line line-6"></span>
         <span class="line line-7"></span>
         <span class="line line-8"></span>
         <span class="line line-9"></span>
         <div class="loader-text">Loading ...</div>
      </div>
   </div>
   <!-- pre loader area end -->

   <!-- Begin magic cursor  
   ======================== -->
   <div id="magic-cursor">
      <div id="ball"></div>
   </div>
   <!-- End magic cursor -->

   <!-- tp-offcanvus-area-end -->
   <div class="tp-offcanvas-area">
      <div class="tp-offcanvas-wrapper">
         <div class="tp-offcanvas-top d-flex align-items-center justify-content-between">
            <div class="tp-offcanvas-logo">
               <a href="index.html">
                  <img class="logo-1" src="public/assets/img/logo/SIN-ROLLO-NARANJA.png" alt="">
                  <img class="logo-2" src="public/assets/img/logo/SIN-ROLLO-BLANCO.png" alt="">
               </a>
            </div>
            <div class="tp-offcanvas-close">
               <button class="tp-offcanvas-close-btn">
                  <svg width="37" height="38" viewBox="0 0 37 38" fill="none" xmlns="http://www.w3.org/2000/svg">
                     <path d="M9.19141 9.80762L27.5762 28.1924" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                     <path d="M9.19141 28.1924L27.5762 9.80761" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                  </svg>
               </button>
            </div>
         </div>
         <div class="tp-offcanvas-main">
            <div class="tp-offcanvas-content">
               <p>En Sin Rollo capturamos bodas en Perú, creando recuerdos emocionales y auténticos con pasión, profesionalismo y dedicación a cada pareja. </p>
            </div>
            <div class="tp-main-menu-mobile d-xl-none"></div>
            <div class="tp-offcanvas-social">
               <h3 class="tp-offcanvas-title sm">Síguenos</h3>
               <ul>
                  <li>
                     <a href="#">
                        <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                           <path d="M11.25 1.5H4.75C2.95507 1.5 1.5 2.95507 1.5 4.75V11.25C1.5 13.0449 2.95507 14.5 4.75 14.5H11.25C13.0449 14.5 14.5 13.0449 14.5 11.25V4.75C14.5 2.95507 13.0449 1.5 11.25 1.5Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                           <path d="M10.6016 7.5907C10.6818 8.13166 10.5894 8.68414 10.3375 9.16955C10.0856 9.65497 9.68711 10.0486 9.19862 10.2945C8.71014 10.5404 8.15656 10.6259 7.61663 10.5391C7.0767 10.4522 6.57791 10.1972 6.19121 9.81055C5.80451 9.42385 5.54959 8.92506 5.46271 8.38513C5.37583 7.8452 5.46141 7.29163 5.70728 6.80314C5.95315 6.31465 6.34679 5.91613 6.83221 5.66425C7.31763 5.41238 7.87011 5.31998 8.41107 5.4002C8.96287 5.48202 9.47372 5.73915 9.86817 6.1336C10.2626 6.52804 10.5197 7.0389 10.6016 7.5907Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                           <path d="M11.5742 4.42578H11.5842" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" />
                        </svg>
                     </a>
                  </li>
                  <li>
                     <a href="#">
                        <svg width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                           <path d="M2.50589 12.7494C4.57662 16.336 9.16278 17.5648 12.7494 15.4941C14.2113 14.65 15.2816 13.388 15.8962 11.9461C16.7895 9.85066 16.7208 7.37526 15.4941 5.25063C14.2674 3.12599 12.1581 1.82872 9.89669 1.55462C8.34063 1.366 6.71259 1.66183 5.25063 2.50589C1.66403 4.57662 0.435172 9.16278 2.50589 12.7494Z" stroke="currentColor" stroke-width="1.5" />
                           <path d="M12.7127 15.4292C12.7127 15.4292 12.0086 10.4867 10.5011 7.87559C8.99362 5.26451 5.28935 2.57155 5.28935 2.57155M5.68449 15.6124C6.79553 12.2606 12.34 8.54524 16.3975 9.43537M12.311 2.4082C11.1953 5.72344 5.75732 9.38453 1.71875 8.58915" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" />
                        </svg>
                     </a>
                  </li>
                  <li>
                     <a href="#">
                        <svg width="18" height="11" viewBox="0 0 18 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                           <path d="M1 5.5715H6.33342C7.62867 5.5715 8.61917 6.56199 8.61917 7.85725C8.61917 9.15251 7.62867 10.143 6.33342 10.143H1.76192C1.30477 10.143 1 9.83823 1 9.38108V1.76192C1 1.30477 1.30477 1 1.76192 1H5.5715C6.86676 1 7.85725 1.99049 7.85725 3.28575C7.85725 4.58101 6.86676 5.5715 5.5715 5.5715H1Z" stroke="currentColor" stroke-width="1.5" stroke-miterlimit="10" />
                           <path d="M10.9062 7.09454H17.0016C17.0016 5.41832 15.6301 4.04688 13.9539 4.04688C12.2777 4.04688 10.9062 5.41832 10.9062 7.09454ZM10.9062 7.09454C10.9062 8.77076 12.2777 10.1422 13.9539 10.1422H15.2492" stroke="currentColor" stroke-width="1.5" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round" />
                           <path d="M16.1125 1.44434H11.668" stroke="currentColor" stroke-width="1.2" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round" />
                        </svg>
                     </a>
                  </li>
                  <li>
                     <a href="#">
                        <svg width="18" height="14" viewBox="0 0 18 14" fill="none" xmlns="http://www.w3.org/2000/svg">
                           <path d="M12.75 13H5.25C3 13 1.5 11.5 1.5 9.25V4.75C1.5 2.5 3 1 5.25 1H12.75C15 1 16.5 2.5 16.5 4.75V9.25C16.5 11.5 15 13 12.75 13Z" stroke="currentColor" stroke-width="1.5" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round" />
                           <path d="M8.70676 5.14837L10.8006 6.40465C11.5543 6.90716 11.5543 7.66093 10.8006 8.16344L8.70676 9.41972C7.86923 9.92224 7.19922 9.50348 7.19922 8.5822V6.06964C7.19922 4.98086 7.86923 4.64585 8.70676 5.14837Z" fill="currentColor" />
                        </svg>
                     </a>
                  </li>
               </ul>
            </div>
         </div>
      </div>
   </div>
   <div class="body-overlay"></div>
   <!-- tp-offcanvus-area-end -->

   <!-- Switcher Area End -->

   <?php include 'header.php'; ?>

   <div id="smooth-wrapper">
      <div id="smooth-content">
         <main>
            <!-- project area start -->
            <div class="tp-project-3-area pt-60 pw-project-style">
               <div class="container container-1720">
                  <div class="row">
                     <div class="col-xl-12">
                        <div class="tp-project-3-wrap">
                           <div class="row">
                              <div class="col-xl-4 col-lg-4 col-md-6">
                                 <div class="tp-project-3-thumb pro-img-1">
                                    <img src="public/assets/img/FOTO-6.jpg" alt="">
                                 </div>
                              </div>
                              <div class="col-xl-4 col-lg-4 col-md-12 order-1 order-lg-0">
                                 <div class="tp-project-3-content text-center">
                                    <span class="tp-project-3-meta">Fotografia & Video </span>
                                    <h4 class="tp-project-3-title-sm"><a href="portfolio-details-2.html">¿Te casas pronto? inmortalizalo</a></h4>
                                    <a class="tp-btn-project-sm" href="portafolio.php">Portafolio</a>
                                 </div>
                                 <div class="tp-project-3-border color-1 text-center">
                                    <span></span>
                                 </div>
                              </div>
                              <div class="col-xl-4 col-lg-4 col-md-6 order-0 order-lg-0">
                                 <div class="tp-project-3-thumb pro-img-2">
                                    <img src="public/assets/img/FOTO-6.jpg" alt="">
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <!-- project area end -->

            <!-- services area start -->
            <div class="sv-service-area project-panel-area-2">
               <div class="container-fluid p-0">
                  <div class="sv-service-item project-panel-2">
                     <div class="row g-0">
                        <div class="col-xl-6 col-lg-6">
                           <div class="sv-service-thumb">
                              <img src="public/assets/img/inner-service/service/PREMIUM.jpeg" alt="">
                           </div>
                        </div>
                        <div class="col-xl-6 col-lg-6">
                           <div class="sv-service-content-wrap d-flex align-items-center">
                              <div class="sv-service-content">
                                 <div class="sv-service-title-box">
                                    <span class="sv-service-subtitle"><i>01</i>Servicios</span>
                                    <h4 class="sv-service-title">Pack Premium</h4>
                                 </div>
                                 <div class="sv-service-space-wrap">
                                    <div class="sv-service-text">
                                       <p>Un paquete adecuado para coberturas completas desde los Preparativos de novio, novia, ceremonia, recepción y fiesta.</p>
                                    </div>
                                    <div class="sv-service-list">
                                       <div class="column">
                                          <ul>
                                             <li>11 horas | Cobertura profesional de video</li>
                                             <li>11 horas | Cobertura profesional de fotografía</li>
                                             <li>1 Drone + Operador</li>
                                             <li>650 fotos editadas</li>
                                             <li>1 Video editado Full Cobertura</li>
                                             <li>1 Video Resumen cinemático</li>
                                          </ul>
                                       </div>
                                       <div class="column">
                                          <ul>
                                             <li>1 Pre boda (foto & video)</li>
                                             <li>180 fotos impresas</li>
                                             <li>1 photobook</li>
                                             <li>1 Cuadro Firma</li>
                                             <li>1 portafotos + Usb</li>
                                             <li>2 Reels creativos</li>
                                             <li>1 Video entrevistas | invitados</li>
                                             <li>PACK NOVIERO (full)</li>
                                          </ul>
                                       </div>
                                    </div>
                                    <div class="sv-service-btn">
                                       <a class="tp-btn-zikzak zikzak-inner p-relative" href="javascript:void(0);" onclick="openPopup('premium')">
                                          <span class="zikzak-content">
                                             Más <br>
                                             Detalles
                                             <svg width="17" height="17" viewBox="0 0 17 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                <path d="M16.2434 8.16465C16.3866 8.31677 16.4668 8.52224 16.4668 8.73637C16.4668 8.9505 16.3866 9.15597 16.2434 9.30811L9.38818 16.53C9.24196 16.6773 9.04774 16.7599 8.84546 16.7607C8.74439 16.7602 8.64426 16.7399 8.55031 16.7005C8.41169 16.6392 8.2934 16.5359 8.21038 16.4038C8.12736 16.2717 8.0833 16.1167 8.08378 15.9583V9.53881H1.22849C1.02648 9.53881 0.832739 9.45428 0.689893 9.30378C0.547047 9.15329 0.466797 8.9492 0.466797 8.73637C0.466797 8.52356 0.547047 8.31945 0.689893 8.16897C0.832739 8.01848 1.02648 7.93395 1.22849 7.93395H8.08378V1.51445C8.0833 1.35603 8.12736 1.20101 8.21038 1.06892C8.2934 0.936828 8.41169 0.833584 8.55031 0.772196C8.691 0.714385 8.84436 0.699718 8.99264 0.729895C9.14092 0.760071 9.27805 0.833857 9.38818 0.942715L16.2434 8.16465Z" fill="#FFFFFF" />
                                             </svg>
                                          </span>
                                          <svg class="anim" width="130" height="130" viewBox="0 0 130 130" fill="#D35B39" xmlns="http://www.w3.org/2000/svg">
                                             <path d="M58.6957 3.50452C61.9534 -0.481752 68.0466 -0.481752 71.3043 3.50452C74.073 6.89259 78.8543 7.84365 82.7089 5.77305C87.2441 3.33685 92.8735 5.66865 94.3577 10.5981C95.6191 14.7879 99.6725 17.4963 104.026 17.0583C109.148 16.5431 113.457 20.8517 112.942 25.9739C112.504 30.3275 115.212 34.3809 119.402 35.6423C124.331 37.1265 126.663 42.7559 124.227 47.2911C122.156 51.1456 123.107 55.927 126.495 58.6957C130.482 61.9534 130.482 68.0466 126.495 71.3043C123.107 74.073 122.156 78.8543 124.227 82.7089C126.663 87.2441 124.331 92.8735 119.402 94.3577C115.212 95.6191 112.504 99.6725 112.942 104.026C113.457 109.148 109.148 113.457 104.026 112.942C99.6725 112.504 95.6191 115.212 94.3577 119.402C92.8735 124.331 87.2441 126.663 82.7089 124.227C78.8543 122.156 74.073 123.107 71.3043 126.495C68.0466 130.482 61.9534 130.482 58.6957 126.495C55.927 123.107 51.1456 122.156 47.2911 124.227C42.7559 126.663 37.1265 124.331 35.6423 119.402C34.3809 115.212 30.3275 112.504 25.9739 112.942C20.8517 113.457 16.5431 109.148 17.0583 104.026C17.4963 99.6725 14.7879 95.6191 10.5981 94.3577C5.66864 92.8735 3.33685 87.2441 5.77305 82.7089C7.84365 78.8543 6.89259 74.073 3.50452 71.3043C-0.481752 68.0466 -0.481752 61.9534 3.50452 58.6957C6.89259 55.927 7.84365 51.1456 5.77305 47.2911C3.33685 42.7559 5.66865 37.1265 10.5981 35.6423C14.7879 34.3809 17.4963 30.3275 17.0583 25.9739C16.5431 20.8517 20.8517 16.5431 25.9739 17.0583C30.3275 17.4963 34.3809 14.7879 35.6423 10.5981C37.1265 5.66865 42.7559 3.33685 47.2911 5.77305C51.1456 7.84365 55.927 6.89259 58.6957 3.50452Z" stroke="#FFFFFF" stroke-opacity="0.900" />
                                          </svg>
                                       </a>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="sv-service-item project-panel-2">
                     <div class="row g-0">
                        <div class="col-xl-6 col-lg-6">
                           <div class="sv-service-thumb">
                              <img src="public/assets/img/inner-service/service/ESENCIAL.jpeg" alt="">
                           </div>
                        </div>
                        <div class="col-xl-6 col-lg-6">
                           <div class="sv-service-content-wrap d-flex align-items-center">
                              <div class="sv-service-content">
                                 <div class="sv-service-title-box">
                                    <span class="sv-service-subtitle"><i>02</i>Servicios</span>
                                    <h4 class="sv-service-title">Pack Vip</h4>
                                 </div>
                                 <div class="sv-service-space-wrap">
                                    <div class="sv-service-text">
                                       <p>Un paquete adecuado para coberturas completas desde los Preparativos de novio, novia, ceremonia, recepción y fiesta.</p>
                                    </div>
                                    <div class="sv-service-list">
                                       <div class="column">
                                          <ul>
                                             <li>08 horas | Cobertura profesional de video</li>
                                             <li>08 horas | Cobertura profesional de fotografía</li>
                                             <li>1 Drone + Operador</li>
                                             <li>450 fotos editadas </li>
                                             <li>1 Video editado Full Cobertura</li>
                                          </ul>
                                       </div>
                                       <div class="column">
                                          <ul>
                                             <li>1 Video Resumen cinemático</li>
                                             <li>1 Pre boda (foto & video)</li>
                                             <li>90 fotos impresas</li>
                                             <li>1 portafotos + Usb</li>
                                             <li>1 Video entrevistas | invitados</li>
                                             <li>PACK NOVIERO (full)</li>
                                          </ul>
                                       </div>
                                    </div>
                                    <div class="sv-service-btn">
                                       <a class="tp-btn-zikzak zikzak-inner p-relative" href="javascript:void(0);" onclick="openPopup('vip')">
                                          <span class="zikzak-content">
                                             Más <br>
                                             Detalles
                                             <svg width="17" height="17" viewBox="0 0 17 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                <path d="M16.2434 8.16465C16.3866 8.31677 16.4668 8.52224 16.4668 8.73637C16.4668 8.9505 16.3866 9.15597 16.2434 9.30811L9.38818 16.53C9.24196 16.6773 9.04774 16.7599 8.84546 16.7607C8.74439 16.7602 8.64426 16.7399 8.55031 16.7005C8.41169 16.6392 8.2934 16.5359 8.21038 16.4038C8.12736 16.2717 8.0833 16.1167 8.08378 15.9583V9.53881H1.22849C1.02648 9.53881 0.832739 9.45428 0.689893 9.30378C0.547047 9.15329 0.466797 8.9492 0.466797 8.73637C0.466797 8.52356 0.547047 8.31945 0.689893 8.16897C0.832739 8.01848 1.02648 7.93395 1.22849 7.93395H8.08378V1.51445C8.0833 1.35603 8.12736 1.20101 8.21038 1.06892C8.2934 0.936828 8.41169 0.833584 8.55031 0.772196C8.691 0.714385 8.84436 0.699718 8.99264 0.729895C9.14092 0.760071 9.27805 0.833857 9.38818 0.942715L16.2434 8.16465Z" fill="#FFFFFF" />
                                             </svg>
                                          </span>
                                          <svg class="anim" width="130" height="130" viewBox="0 0 130 130" fill="#D35B39" xmlns="http://www.w3.org/2000/svg">
                                             <path d="M58.6957 3.50452C61.9534 -0.481752 68.0466 -0.481752 71.3043 3.50452C74.073 6.89259 78.8543 7.84365 82.7089 5.77305C87.2441 3.33685 92.8735 5.66865 94.3577 10.5981C95.6191 14.7879 99.6725 17.4963 104.026 17.0583C109.148 16.5431 113.457 20.8517 112.942 25.9739C112.504 30.3275 115.212 34.3809 119.402 35.6423C124.331 37.1265 126.663 42.7559 124.227 47.2911C122.156 51.1456 123.107 55.927 126.495 58.6957C130.482 61.9534 130.482 68.0466 126.495 71.3043C123.107 74.073 122.156 78.8543 124.227 82.7089C126.663 87.2441 124.331 92.8735 119.402 94.3577C115.212 95.6191 112.504 99.6725 112.942 104.026C113.457 109.148 109.148 113.457 104.026 112.942C99.6725 112.504 95.6191 115.212 94.3577 119.402C92.8735 124.331 87.2441 126.663 82.7089 124.227C78.8543 122.156 74.073 123.107 71.3043 126.495C68.0466 130.482 61.9534 130.482 58.6957 126.495C55.927 123.107 51.1456 122.156 47.2911 124.227C42.7559 126.663 37.1265 124.331 35.6423 119.402C34.3809 115.212 30.3275 112.504 25.9739 112.942C20.8517 113.457 16.5431 109.148 17.0583 104.026C17.4963 99.6725 14.7879 95.6191 10.5981 94.3577C5.66864 92.8735 3.33685 87.2441 5.77305 82.7089C7.84365 78.8543 6.89259 74.073 3.50452 71.3043C-0.481752 68.0466 -0.481752 61.9534 3.50452 58.6957C6.89259 55.927 7.84365 51.1456 5.77305 47.2911C3.33685 42.7559 5.66865 37.1265 10.5981 35.6423C14.7879 34.3809 17.4963 30.3275 17.0583 25.9739C16.5431 20.8517 20.8517 16.5431 25.9739 17.0583C30.3275 17.4963 34.3809 14.7879 35.6423 10.5981C37.1265 5.66865 42.7559 3.33685 47.2911 5.77305C51.1456 7.84365 55.927 6.89259 58.6957 3.50452Z" stroke="#FFFFFF" stroke-opacity="0.100" />
                                          </svg>
                                       </a>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="sv-service-item project-panel-2">
                     <div class="row g-0">
                        <div class="col-xl-6 col-lg-6">
                           <div class="sv-service-thumb">
                              <img src="public/assets/img/inner-service/service/STANDARD.jpeg" alt="">
                           </div>
                        </div>
                        <div class="col-xl-6 col-lg-6">
                           <div class="sv-service-content-wrap d-flex align-items-center">
                              <div class="sv-service-content">
                                 <div class="sv-service-title-box">
                                    <span class="sv-service-subtitle"><i>03</i>Servicios</span>
                                    <h4 class="sv-service-title">Pack Standar</h4>
                                 </div>
                                 <div class="sv-service-space-wrap">
                                    <div class="sv-service-text">
                                       <p>Un paquete adecuado para coberturas completas desde los Preparativos de novio, novia, ceremonia, recepción y fiesta.</p>
                                    </div>
                                    <div class="sv-service-list">
                                       <div class="column">
                                          <ul>
                                             <li>06 horas | Cobertura profesional de video</li>
                                             <li>06 horas | Cobertura profesional de fotografía</li>
                                             <li>320 fotos editadas</li>
                                             <li>1 Video editado Full Cobertura</li>
                                          </ul>
                                       </div>
                                       <div class="column">
                                          <ul>
                                             <li>1 Video Resumen cinemático</li>
                                             <li>1 Pre boda (foto) </li>
                                             <li>50 fotos impresas</li>
                                             <li>1 portafotos + Usb</li>
                                             <li>Pack Noviero (Marco Selfie)</li>
                                          </ul>
                                       </div>
                                    </div>
                                    <div class="sv-service-btn">
                                       <a class="tp-btn-zikzak zikzak-inner p-relative" href="javascript:void(0);" onclick="openPopup('standard')">
                                          <span class="zikzak-content">
                                             Más <br>
                                             Detalles
                                             <svg width="17" height="17" viewBox="0 0 17 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                <path d="M16.2434 8.16465C16.3866 8.31677 16.4668 8.52224 16.4668 8.73637C16.4668 8.9505 16.3866 9.15597 16.2434 9.30811L9.38818 16.53C9.24196 16.6773 9.04774 16.7599 8.84546 16.7607C8.74439 16.7602 8.64426 16.7399 8.55031 16.7005C8.41169 16.6392 8.2934 16.5359 8.21038 16.4038C8.12736 16.2717 8.0833 16.1167 8.08378 15.9583V9.53881H1.22849C1.02648 9.53881 0.832739 9.45428 0.689893 9.30378C0.547047 9.15329 0.466797 8.9492 0.466797 8.73637C0.466797 8.52356 0.547047 8.31945 0.689893 8.16897C0.832739 8.01848 1.02648 7.93395 1.22849 7.93395H8.08378V1.51445C8.0833 1.35603 8.12736 1.20101 8.21038 1.06892C8.2934 0.936828 8.41169 0.833584 8.55031 0.772196C8.691 0.714385 8.84436 0.699718 8.99264 0.729895C9.14092 0.760071 9.27805 0.833857 9.38818 0.942715L16.2434 8.16465Z" fill="#FFFFFF" />
                                             </svg>
                                          </span>
                                          <svg class="anim" width="130" height="130" viewBox="0 0 130 130" fill="#D35B39" xmlns="http://www.w3.org/2000/svg">
                                             <path d="M58.6957 3.50452C61.9534 -0.481752 68.0466 -0.481752 71.3043 3.50452C74.073 6.89259 78.8543 7.84365 82.7089 5.77305C87.2441 3.33685 92.8735 5.66865 94.3577 10.5981C95.6191 14.7879 99.6725 17.4963 104.026 17.0583C109.148 16.5431 113.457 20.8517 112.942 25.9739C112.504 30.3275 115.212 34.3809 119.402 35.6423C124.331 37.1265 126.663 42.7559 124.227 47.2911C122.156 51.1456 123.107 55.927 126.495 58.6957C130.482 61.9534 130.482 68.0466 126.495 71.3043C123.107 74.073 122.156 78.8543 124.227 82.7089C126.663 87.2441 124.331 92.8735 119.402 94.3577C115.212 95.6191 112.504 99.6725 112.942 104.026C113.457 109.148 109.148 113.457 104.026 112.942C99.6725 112.504 95.6191 115.212 94.3577 119.402C92.8735 124.331 87.2441 126.663 82.7089 124.227C78.8543 122.156 74.073 123.107 71.3043 126.495C68.0466 130.482 61.9534 130.482 58.6957 126.495C55.927 123.107 51.1456 122.156 47.2911 124.227C42.7559 126.663 37.1265 124.331 35.6423 119.402C34.3809 115.212 30.3275 112.504 25.9739 112.942C20.8517 113.457 16.5431 109.148 17.0583 104.026C17.4963 99.6725 14.7879 95.6191 10.5981 94.3577C5.66864 92.8735 3.33685 87.2441 5.77305 82.7089C7.84365 78.8543 6.89259 74.073 3.50452 71.3043C-0.481752 68.0466 -0.481752 61.9534 3.50452 58.6957C6.89259 55.927 7.84365 51.1456 5.77305 47.2911C3.33685 42.7559 5.66865 37.1265 10.5981 35.6423C14.7879 34.3809 17.4963 30.3275 17.0583 25.9739C16.5431 20.8517 20.8517 16.5431 25.9739 17.0583C30.3275 17.4963 34.3809 14.7879 35.6423 10.5981C37.1265 5.66865 42.7559 3.33685 47.2911 5.77305C51.1456 7.84365 55.927 6.89259 58.6957 3.50452Z" stroke="#FFFFFF" stroke-opacity="0.100" />
                                          </svg>
                                       </a>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="sv-service-item project-panel-2">
                     <div class="row g-0">
                        <div class="col-xl-6 col-lg-6">
                           <div class="sv-service-thumb">
                              <img src="public/assets/img/inner-service/service/VIP.jpeg" alt="">
                           </div>
                        </div>
                        <div class="col-xl-6 col-lg-6">
                           <div class="sv-service-content-wrap d-flex align-items-center">
                              <div class="sv-service-content">
                                 <div class="sv-service-title-box">
                                    <span class="sv-service-subtitle"><i>04</i>Servicios</span>
                                    <h4 class="sv-service-title">Pack Esencial</h4>
                                 </div>
                                 <div class="sv-service-space-wrap">
                                    <div class="sv-service-text">
                                       <p>Un paquete adecuado para coberturas completas desde los Preparativos de novio, novia, ceremonia, recepción y fiesta.
                                          .</p>
                                    </div>
                                    <div class="sv-service-list">
                                       <div class="column">
                                          <ul>
                                             <li>04 horas | Cobertura profesional de video</li>
                                             <li>04 horas | Cobertura profesional de fotografía</li>
                                             <li>220 fotos editadas</li>
                                             <li>1 Video editado Full Cobertura</li>
                                          </ul>
                                       </div>
                                       <div class="column">
                                          <ul>
                                             <li>1 Video Resumen cinemático</li>
                                             <li>1 Pre boda (foto)</li>
                                             <li>30 fotos impresas</li>
                                          </ul>
                                       </div>
                                    </div>
                                    <div class="sv-service-btn">
                                       <a class="tp-btn-zikzak zikzak-inner p-relative" href="javascript:void(0);" onclick="openPopup('esencial')">
                                          <span class="zikzak-content">
                                             Más <br>
                                             Detalles
                                             <svg width="17" height="17" viewBox="0 0 17 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                <path d="M16.2434 8.16465C16.3866 8.31677 16.4668 8.52224 16.4668 8.73637C16.4668 8.9505 16.3866 9.15597 16.2434 9.30811L9.38818 16.53C9.24196 16.6773 9.04774 16.7599 8.84546 16.7607C8.74439 16.7602 8.64426 16.7399 8.55031 16.7005C8.41169 16.6392 8.2934 16.5359 8.21038 16.4038C8.12736 16.2717 8.0833 16.1167 8.08378 15.9583V9.53881H1.22849C1.02648 9.53881 0.832739 9.45428 0.689893 9.30378C0.547047 9.15329 0.466797 8.9492 0.466797 8.73637C0.466797 8.52356 0.547047 8.31945 0.689893 8.16897C0.832739 8.01848 1.02648 7.93395 1.22849 7.93395H8.08378V1.51445C8.0833 1.35603 8.12736 1.20101 8.21038 1.06892C8.2934 0.936828 8.41169 0.833584 8.55031 0.772196C8.691 0.714385 8.84436 0.699718 8.99264 0.729895C9.14092 0.760071 9.27805 0.833857 9.38818 0.942715L16.2434 8.16465Z" fill="#FFFFFF" />
                                             </svg>
                                          </span>
                                          <svg class="anim" width="130" height="130" viewBox="0 0 130 130" fill="#D35B39" xmlns="http://www.w3.org/2000/svg">
                                             <path d="M58.6957 3.50452C61.9534 -0.481752 68.0466 -0.481752 71.3043 3.50452C74.073 6.89259 78.8543 7.84365 82.7089 5.77305C87.2441 3.33685 92.8735 5.66865 94.3577 10.5981C95.6191 14.7879 99.6725 17.4963 104.026 17.0583C109.148 16.5431 113.457 20.8517 112.942 25.9739C112.504 30.3275 115.212 34.3809 119.402 35.6423C124.331 37.1265 126.663 42.7559 124.227 47.2911C122.156 51.1456 123.107 55.927 126.495 58.6957C130.482 61.9534 130.482 68.0466 126.495 71.3043C123.107 74.073 122.156 78.8543 124.227 82.7089C126.663 87.2441 124.331 92.8735 119.402 94.3577C115.212 95.6191 112.504 99.6725 112.942 104.026C113.457 109.148 109.148 113.457 104.026 112.942C99.6725 112.504 95.6191 115.212 94.3577 119.402C92.8735 124.331 87.2441 126.663 82.7089 124.227C78.8543 122.156 74.073 123.107 71.3043 126.495C68.0466 130.482 61.9534 130.482 58.6957 126.495C55.927 123.107 51.1456 122.156 47.2911 124.227C42.7559 126.663 37.1265 124.331 35.6423 119.402C34.3809 115.212 30.3275 112.504 25.9739 112.942C20.8517 113.457 16.5431 109.148 17.0583 104.026C17.4963 99.6725 14.7879 95.6191 10.5981 94.3577C5.66864 92.8735 3.33685 87.2441 5.77305 82.7089C7.84365 78.8543 6.89259 74.073 3.50452 71.3043C-0.481752 68.0466 -0.481752 61.9534 3.50452 58.6957C6.89259 55.927 7.84365 51.1456 5.77305 47.2911C3.33685 42.7559 5.66865 37.1265 10.5981 35.6423C14.7879 34.3809 17.4963 30.3275 17.0583 25.9739C16.5431 20.8517 20.8517 16.5431 25.9739 17.0583C30.3275 17.4963 34.3809 14.7879 35.6423 10.5981C37.1265 5.66865 42.7559 3.33685 47.2911 5.77305C51.1456 7.84365 55.927 6.89259 58.6957 3.50452Z" stroke="#FFFFFF" stroke-opacity="0.900" />
                                          </svg>
                                       </a>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <!-- services area end -->

            <!-- testimonial area start -->
            <div class="tp-testimonial-area pt-200 pb-50">
               <div class="container">
                  <div class="row justify-content-center">
                     <div class="col-xl-10">
                        <div class="tp-testimonial-slider-wrapper p-relative">
                           <div class="tp-testimonial-arrow-box d-none d-lg-block">
                              <button class="tp-testimonial-prev">
                                 <span>
                                    <svg width="20" height="17" viewBox="0 0 20 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                                       <path d="M19.3335 8.63672H1.3335" stroke="currentcolor" stroke-width="1.5" stroke-miterlimit="10" />
                                       <path d="M8.42188 0.69043C8.42188 5.08274 4.65513 8.63691 0.000114646 8.63691" stroke="currentcolor" stroke-width="1.5" stroke-miterlimit="10" />
                                       <path d="M0.000114646 8.63672C4.65513 8.63672 8.42188 12.1909 8.42188 16.5832" stroke="currentcolor" stroke-width="1.5" stroke-miterlimit="10" />
                                    </svg>
                                 </span>
                              </button>
                              <button class="tp-testimonial-next">
                                 <span>
                                    <svg width="20" height="16" viewBox="0 0 20 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                       <path d="M0.666504 8H18.6665" stroke="currentcolor" stroke-width="1.5" stroke-miterlimit="10" />
                                       <path d="M11.5781 0C11.5781 4.42189 15.3449 8 19.9999 8" stroke="currentcolor" stroke-width="1.5" stroke-miterlimit="10" />
                                       <path d="M19.9999 8C15.3449 8 11.5781 11.5781 11.5781 16" stroke="currentcolor" stroke-width="1.5" stroke-miterlimit="10" />
                                    </svg>
                                 </span>
                              </button>
                           </div>
                           <div class="swiper-container tp-testimonial-slider-active fix">
                              <div class="swiper-wrapper">
                                 <div class="swiper-slide">
                                    <div class="tp-testimonial-item text-center">
                                       <p>
                                          “Felicitar su labor, compromiso, puntualidad paciencia y todos los tips para realizar las fotos. Estamos muy contentos con su trabajo. ”
                                       </p>
                                       <span><em>Lucia & Jonathan</em></span>
                                    </div>
                                 </div>
                                 <div class="swiper-slide">
                                    <div class="tp-testimonial-item text-center">
                                       <p>
                                          “Gracias por todo, todo realmente está muy bonito, bien hecho. Super atentos , muy comprometidos con todo y bastante pacientes. Cuando se venga el bebe, sin duda, también los vamos a llamar ¡Muchas Gracias!”
                                       </p>
                                       <span><em>Cinthya & Andres</em></span>
                                    </div>
                                 </div>
                                 <div class="swiper-slide">
                                    <div class="tp-testimonial-item text-center">
                                       <p>
                                          “¡Muy recomendado! El equipo de Sin Rollo fue comprometido, responsable y prestó atención a los detalles en todo momento durante mi boda.”
                                       </p>
                                       <span><em>LChiara & Ricardo</em></span>
                                    </div>
                                 </div>
                                 <div class="swiper-slide">
                                    <div class="tp-testimonial-item text-center">
                                       <p>
                                          “Excelente servicio! me encantó el trabajo que realizaron! puntuales, comprensivos, siempre atentos a cada detalle, sin duda capturaron la esencia de mi boda! 100% recomendado!”
                                       </p>
                                       <span><em>Sharella & Antonio</em></span>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <!-- testimonial area end -->
            <?php include 'clientes.php'; ?>

         </main>
         <?php include 'footer.php'; ?>
      </div>
      <div class="subscribe-popup">
         <!-- modal area start -->
         <div class="tp-shop-popup-wrap">
            <div class="tp-shop-popup-img d-none d-md-block">
               <img src="public/assets/img/banner.png" alt="">
            </div>
            <div class="tp-shop-popup-content text-center">
               <div class="close"><i class="fa-light fa-xmark"></i></div>
               <div class="tp-shop-popup-logo">
                  <img src="public/assets/img/logo/SIN-ROLLO-MARRON.png" alt="">
               </div>
               <div class="tp-shop-popup-text">
                  <h3>Save 15%</h3>
               </div>
               <form id="multiStepForm" action="https://script.google.com/macros/s/AKfycby-CvFTyLpWGU0WemLjRkS6TUPGUJGae89_v5_5wJosxfuFfPWoD0sk9w5MvEuTDyFQzQ/exec" method="POST">
                  <!-- Step 1 -->
                  <div class="form-step step-1 custom-step-1">
                     <div class="tp-shop-popup-inputbox">
                        <label for="nombre-esposos">¿Nombre de los futuros esposos? *</label>
                        <input type="text" placeholder="July & Ricardo" required>
                     </div>
                     <div class="tp-shop-popup-inputbox">
                        <label for="nombre-esposos">¿Cuándo se celebrará su boda?*</label>
                        <input type="date" placeholder="" required>
                     </div>
                     <div class="tp-shop-popup-inputbox">
                        <label for="nombre-esposos">¿Dónde se llevará a cabo su boda soñada?*</label>
                        <input type="text" placeholder="Parque Washigton" required>
                     </div>
                     <button class="tp-btn-black-square w-100" type="button" onclick="nextStep()">Next</button>
                  </div>
                  <!-- Step 2 -->
                  <div class="form-step step-2 custom-step-2" style="display: none;">
                     <div class="tp-shop-popup-inputbox">
                        <label for="nombre-esposos">Eligue tu paquete *</label>
                        <select id="opciones" name="opciones">
                           <option value="premium">Pack Premium</option>
                           <option value="vip">Pack VIP</option>
                           <option value="standard">Pack Standard</option>
                           <option value="esencial">Pack Esencial</option>
                        </select>
                     </div>
                     <div class="tp-shop-popup-inputbox">
                        <label for="nombre-esposos">¿Cuál es tu número de celular?*</label>
                        <input type="tel" placeholder="+935 345 676" required>
                     </div>
                     <div class="tp-shop-popup-inputbox">
                        <label for="nombre-esposos">¿Cuál es tu email? *</label>
                        <input type="email" placeholder="sinrollo@gmail.com" required>
                     </div>
                     <button class="tp-btn-black-square w-100" type="submit">Enviar</button>
                  </div>
               </form>
            </div>
         </div>
         <!-- modal area end -->
      </div>
   </div>





   <!-- JS here -->
   <script>
      document.addEventListener("DOMContentLoaded", function() {
         if (document.querySelector('.subscribe-popup')) {
            const loginPopup = document.querySelector(".subscribe-popup");
            const close = document.querySelector(".close");

            window.openPopup = function(service) {
               console.log("Abriendo popup para servicio:", service);
               // Mostrar el popup
               loginPopup.classList.add("show");

               // Configurar el valor seleccionado en el campo <select>
               const selectElement = document.getElementById('opciones');
               selectElement.value = service;
            }

            close.addEventListener("click", function() {
               console.log("Cerrando popup");
               loginPopup.classList.remove("show");
            });
         }
      });

      document.addEventListener("DOMContentLoaded", function() {
         const form = document.getElementById('multiStepForm');
         const steps = form.querySelectorAll('.form-step');
         let currentStep = 0;

         function showStep(stepIndex) {
            steps.forEach((step, index) => {
               step.style.display = index === stepIndex ? 'block' : 'none';
            });
         }

         function validateStep() {
            const inputs = steps[currentStep].querySelectorAll('input');
            for (let input of inputs) {
               if (!input.checkValidity()) {
                  input.reportValidity(); // Muestra un mensaje de error si algún campo es inválido
                  return false;
               }
            }
            return true;
         }

         window.nextStep = function() {
            if (validateStep()) {
               currentStep++;
               if (currentStep < steps.length) {
                  showStep(currentStep);
               } else {
                  form.submit(); // Opcional: Si quieres que el formulario se envíe al final
               }
            }
         }

         showStep(currentStep); // Muestra la primera etapa al cargar
      });

      const form = document.getElementById('multiStepForm');

      form.addEventListener('submit', (event) => {
         event.preventDefault(); // Evita el envío tradicional del formulario

         const formData = new FormData(form);

         // Enviar el formulario usando fetch con 'no-cors'
         fetch(form.action, {
               method: 'POST',
               body: formData,
               //mode: 'no-cors' // Opción para evitar el problema CORS
            })
            .then(() => {
               alert('¡Gracias por registrarte! Tu información ha sido enviada.');
            })
            .catch(error => {
               console.error('Error al enviar el formulario:', error);
               alert('Ocurrió un error inesperado. Por favor, inténtalo de nuevo más tarde.');
            });
      });
   </script>

   <script src="public/assets/js/vendor/jquery.js"></script>
   <script src="public/assets/js/bootstrap-bundle.js"></script>

   <script src="public/assets/js/gsap.js"></script>
   <script src="public/assets/js/gsap-scroll-to-plugin.js"></script>
   <script src="public/assets/js/gsap-scroll-smoother.js"></script>
   <script src="public/assets/js/gsap-scroll-trigger.js"></script>
   <script src="public/assets/js/gsap-split-text.js"></script>
   <script src="public/assets/js/imagesloaded.js"></script>
   <script src="public/assets/js/chroma.min.js"></script>
   <script src='public/assets/js/scroll-magic.js'></script>
   <script src="public/assets/js/range-slider.js"></script>
   <script src="public/assets/js/swiper-bundle.js"></script>
   <script src="public/assets/js/slick.js"></script>
   <script src="public/assets/js/magnific-popup.js"></script>
   <script src="public/assets/js/nice-select.js"></script>
   <script src="public/assets/js/purecounter.js"></script>
   <script src="public/assets/js/beforeafter.js"></script>
   <script src="public/assets/js/isotope-pkgd.js"></script>
   <script src="public/assets/js/imagesloaded-pkgd.js"></script>
   <script src="public/assets/js/webgl.js"></script>
   <script src="public/assets/js/main.js"></script>


   <script src="public/assets/js/magnific-popup.js"></script>
   <script src="public/assets/js/nice-select.js"></script>
</body>

</html>